//
//  FontAwsomeRegular.m
//  Project
//
//  Created by Vae on 2018/8/6.
//

#import "FAKFontAwesomeRegular.h"

@implementation FAKFontAwesomeRegular

+ (UIFont *)iconFontWithSize:(CGFloat)size {
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        [self registerIconFontWithURL:[[NSBundle bundleForClass:[FAKFontAwesomeRegular class]] URLForResource:@"Font Awesome 5 Free Regular" withExtension:@"otf"]];
    });
    
    UIFont *font = [UIFont fontWithName:@"FontAwesome5FreeRegular" size:size];
    NSAssert(font, @"UIFont object should not be nil, check if the font file is added to the application bundle and you're using the correct font name.");
    return font;
}

+ (instancetype)addressBookIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b9" size:size];
}

+ (instancetype)addressCardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2bb" size:size];
}

+ (instancetype)angryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf556" size:size];
}

+ (instancetype)arrowAltCircleDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf358" size:size];
}

+ (instancetype)arrowAltCircleLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf359" size:size];
}

+ (instancetype)arrowAltCircleRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf35a" size:size];
}

+ (instancetype)arrowAltCircleUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf35b" size:size];
}

+ (instancetype)bellIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0f3" size:size];
}

+ (instancetype)bellSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1f6" size:size];
}

+ (instancetype)bookmarkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf02e" size:size];
}

+ (instancetype)buildingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ad" size:size];
}

+ (instancetype)calendarIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf133" size:size];
}

+ (instancetype)calendarAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf073" size:size];
}

+ (instancetype)calendarCheckIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf274" size:size];
}

+ (instancetype)calendarMinusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf272" size:size];
}

+ (instancetype)calendarPlusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf271" size:size];
}

+ (instancetype)calendarTimesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf273" size:size];
}

+ (instancetype)caretSquareDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf150" size:size];
}

+ (instancetype)caretSquareLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf191" size:size];
}

+ (instancetype)caretSquareRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf152" size:size];
}

+ (instancetype)caretSquareUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf151" size:size];
}

+ (instancetype)chartBarIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf080" size:size];
}

+ (instancetype)checkCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf058" size:size];
}

+ (instancetype)checkSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf14a" size:size];
}

+ (instancetype)circleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf111" size:size];
}

+ (instancetype)clipboardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf328" size:size];
}

+ (instancetype)clockIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf017" size:size];
}

+ (instancetype)cloneIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf24d" size:size];
}

+ (instancetype)closedCaptioningIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf20a" size:size];
}

+ (instancetype)commentIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf075" size:size];
}

+ (instancetype)commentAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf27a" size:size];
}

+ (instancetype)commentDotsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4ad" size:size];
}

+ (instancetype)commentsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf086" size:size];
}

+ (instancetype)compassIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf14e" size:size];
}

+ (instancetype)copyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c5" size:size];
}

+ (instancetype)copyrightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1f9" size:size];
}

+ (instancetype)creditCardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf09d" size:size];
}

+ (instancetype)dizzyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf567" size:size];
}

+ (instancetype)dotCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf192" size:size];
}

+ (instancetype)editIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf044" size:size];
}

+ (instancetype)envelopeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0e0" size:size];
}

+ (instancetype)envelopeOpenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b6" size:size];
}

+ (instancetype)eyeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf06e" size:size];
}

+ (instancetype)eyeSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf070" size:size];
}

+ (instancetype)fileIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf15b" size:size];
}

+ (instancetype)fileAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf15c" size:size];
}

+ (instancetype)fileArchiveIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c6" size:size];
}

+ (instancetype)fileAudioIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c7" size:size];
}

+ (instancetype)fileCodeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c9" size:size];
}

+ (instancetype)fileExcelIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c3" size:size];
}

+ (instancetype)fileImageIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c5" size:size];
}

+ (instancetype)filePdfIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c1" size:size];
}

+ (instancetype)filePowerpointIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c4" size:size];
}

+ (instancetype)fileVideoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c8" size:size];
}

+ (instancetype)fileWordIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c2" size:size];
}

+ (instancetype)flagIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf024" size:size];
}

+ (instancetype)flushedIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf579" size:size];
}

+ (instancetype)folderIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf07b" size:size];
}

+ (instancetype)folderOpenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf07c" size:size];
}

+ (instancetype)fontAwesomeLogoFullIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4e6" size:size];
}

+ (instancetype)frownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf119" size:size];
}

+ (instancetype)frownOpenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf57a" size:size];
}

+ (instancetype)futbolIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1e3" size:size];
}

+ (instancetype)gemIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3a5" size:size];
}

+ (instancetype)grimaceIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf57f" size:size];
}

+ (instancetype)grinIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf580" size:size];
}

+ (instancetype)grinAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf581" size:size];
}

+ (instancetype)grinBeamIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf582" size:size];
}

+ (instancetype)grinBeamSweatIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf583" size:size];
}

+ (instancetype)grinHeartsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf584" size:size];
}

+ (instancetype)grinSquintIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf585" size:size];
}

+ (instancetype)grinSquintTearsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf586" size:size];
}

+ (instancetype)grinStarsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf587" size:size];
}

+ (instancetype)grinTearsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf588" size:size];
}

+ (instancetype)grinTongueIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf589" size:size];
}

+ (instancetype)grinTongueSquintIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf58a" size:size];
}

+ (instancetype)grinTongueWinkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf58b" size:size];
}

+ (instancetype)grinWinkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf58c" size:size];
}

+ (instancetype)handLizardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf258" size:size];
}

+ (instancetype)handPaperIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf256" size:size];
}

+ (instancetype)handPeaceIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf25b" size:size];
}

+ (instancetype)handPointDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a7" size:size];
}

+ (instancetype)handPointLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a5" size:size];
}

+ (instancetype)handPointRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a4" size:size];
}

+ (instancetype)handPointUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a6" size:size];
}

+ (instancetype)handPointerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf25a" size:size];
}

+ (instancetype)handRockIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf255" size:size];
}

+ (instancetype)handScissorsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf257" size:size];
}

+ (instancetype)handSpockIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf259" size:size];
}

+ (instancetype)handshakeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b5" size:size];
}

+ (instancetype)hddIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a0" size:size];
}

+ (instancetype)heartIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf004" size:size];
}

+ (instancetype)hospitalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0f8" size:size];
}

+ (instancetype)hourglassIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf254" size:size];
}

+ (instancetype)idBadgeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2c1" size:size];
}

+ (instancetype)idCardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2c2" size:size];
}

+ (instancetype)imageIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf03e" size:size];
}

+ (instancetype)imagesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf302" size:size];
}

+ (instancetype)keyboardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf11c" size:size];
}

+ (instancetype)kissIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf596" size:size];
}

+ (instancetype)kissBeamIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf597" size:size];
}

+ (instancetype)kissWinkHeartIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf598" size:size];
}

+ (instancetype)laughIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf599" size:size];
}

+ (instancetype)laughBeamIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf59a" size:size];
}

+ (instancetype)laughSquintIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf59b" size:size];
}

+ (instancetype)laughWinkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf59c" size:size];
}

+ (instancetype)lemonIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf094" size:size];
}

+ (instancetype)lifeRingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1cd" size:size];
}

+ (instancetype)lightbulbIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0eb" size:size];
}

+ (instancetype)listAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf022" size:size];
}

+ (instancetype)mapIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf279" size:size];
}

+ (instancetype)mehIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf11a" size:size];
}

+ (instancetype)mehBlankIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5a4" size:size];
}

+ (instancetype)mehRollingEyesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5a5" size:size];
}

+ (instancetype)minusSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf146" size:size];
}

+ (instancetype)moneyBillAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3d1" size:size];
}

+ (instancetype)moonIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf186" size:size];
}

+ (instancetype)newspaperIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ea" size:size];
}

+ (instancetype)objectGroupIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf247" size:size];
}

+ (instancetype)objectUngroupIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf248" size:size];
}

+ (instancetype)paperPlaneIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1d8" size:size];
}

+ (instancetype)pauseCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf28b" size:size];
}

+ (instancetype)playCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf144" size:size];
}

+ (instancetype)plusSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0fe" size:size];
}

+ (instancetype)questionCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf059" size:size];
}

+ (instancetype)registeredIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf25d" size:size];
}

+ (instancetype)sadCryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b3" size:size];
}

+ (instancetype)sadTearIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b4" size:size];
}

+ (instancetype)saveIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c7" size:size];
}

+ (instancetype)shareSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf14d" size:size];
}

+ (instancetype)smileIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf118" size:size];
}

+ (instancetype)smileBeamIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b8" size:size];
}

+ (instancetype)smileWinkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4da" size:size];
}

+ (instancetype)snowflakeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2dc" size:size];
}

+ (instancetype)squareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c8" size:size];
}

+ (instancetype)starIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf005" size:size];
}

+ (instancetype)starHalfIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf089" size:size];
}

+ (instancetype)stickyNoteIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf249" size:size];
}

+ (instancetype)stopCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf28d" size:size];
}

+ (instancetype)sunIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf185" size:size];
}

+ (instancetype)surpriseIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c2" size:size];
}

+ (instancetype)thumbsDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf165" size:size];
}

+ (instancetype)thumbsUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf164" size:size];
}

+ (instancetype)timesCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf057" size:size];
}

+ (instancetype)tiredIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c8" size:size];
}

+ (instancetype)trashAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2ed" size:size];
}

+ (instancetype)userIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf007" size:size];
}

+ (instancetype)userCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2bd" size:size];
}

+ (instancetype)windowCloseIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf410" size:size];
}

+ (instancetype)windowMaximizeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2d0" size:size];
}

+ (instancetype)windowMinimizeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2d1" size:size];
}

+ (instancetype)windowRestoreIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2d2" size:size];
}

@end
